Page MenuHomePhabricator

Present results of Community Wishlist Survey at Dev Summit
Closed, ResolvedPublic

Description

I know it's way past the deadline for proposing Dev Summit sessions, but Community Tech would love to present the results of the Community Wishlist Survey which just concluded:
https://meta.wikimedia.org/wiki/2015_Community_Wishlist_Survey/Results

A lot of the proposals will be of interest to various teams, and we would love to discuss how this survey can feed into other teams' roadmaps and priorities, as well as discussing the overall feasibility of some of the proposals.

Even an informal aftre-hours or lunch session would be great.

Event Timeline

kaldari created this task.Dec 16 2015, 6:57 PM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a subscriber: kaldari.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 16 2015, 6:57 PM
kaldari added a subscriber: Qgil.Dec 16 2015, 7:06 PM

@Qgil suggested that we might combine this with T121641.

kaldari set Security to None.Dec 16 2015, 7:06 PM
kaldari added a subscriber: DannyH.

Yeah, I think being part of the wrap-up is great. Let's do it.

Qgil added a comment.EditedDec 16 2015, 9:20 PM

To be precise, I said that one possibility is to combine this with T121641: WikiDev16 Wrap-up session. We need to discuss this with @RobLa-WMF.

The Community Wishlist Survey is the most remarkable effort to obtain structured community feedback on software priorities. It is biased by the scope of the Community Tech team, but still it would provide a ton of fresh air to the Summit, coming from a different angle. I think it is an idea worth exploring.

@Qgil - great idea! I think we should also probably do some sort of teaser for this at the beginning (around/in @Wwes's keynote: T121640), perhaps specifically introducing @kaldari, @Fhocutt, @DannyH, and @niharikakohli, and encouraging those that don't know y'all to talk to you more about your work. Does that work for everyone?

Sounds like a great idea, thanks @RobLa-WMF!

Yup, sounds like a plan.

Yeah, that's a great idea. Thanks!

Qgil added a comment.Dec 21 2015, 10:19 AM

T121672: Present results of Community Wishlist Survey at Dev Summit is very important, and we should probably have it in the "Recommended for pre-schedule" stuff. It's admittedly a very late addition, but I think it still clears the bar for consideration of new stuff.

@RobLa-WMF, I agree the results of the Community Wishlist are important, and this is why I'm suggesting to find time for them within T121641: WikiDev16 Wrap-up session.

The Wrap-up session is a good venue to reach to everybody. This session is not a discussion session per se. Therefore, I'd rather propose 15-20 minutes pitch for everybody than a full slot against other heavy-weight sessions.

Wikimedia Developer Summit 2016 ended two weeks ago. This task is still open. If the session in this task took place, please make sure 1) that the session Etherpad notes are linked from this task, 2) that followup tasks for any actions identified have been created and linked from this task, 3) to change the status of this task to "resolved". If this session did not take place, change the task status to "declined". If this task itself has become a well-defined action which is not finished yet, drag and drop this task into the "Work continues after Summit" column on the project workboard. Thank you for your help!

kaldari closed this task as Resolved.Jan 21 2016, 7:54 PM
kaldari claimed this task.
DannyH moved this task from Untriaged to Archive on the Community-Tech board.Feb 2 2016, 7:58 PM